## org.apache.xalan.xsltc.dom
Class ClonedNodeListIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xalan.xsltc.dom.ClonedNodeListIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

    public final class ClonedNodeListIterator

extends DTMAxisIteratorBase

A ClonedNodeListIterator is returned by the cloneIterator() method of a CachedNodeListIterator. Its next() method retrieves the nodes from the cache of the CachedNodeListIterator.

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`ClonedNodeListIterator(CachedNodeListIterator source)`

Method Summary
`DTMAxisIterator` `cloneIterator()` Returns a deep copy of this iterator.
`int` `getNodeByPosition(int pos)` Return the node at the given position.
`int` `getPosition()`
`void` `gotoMark()` Restores the current node remembered by setMark().
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `reset()` Resets the iterator to the last start node.
`void` `setMark()` Remembers the current node for the next call to gotoMark().
`void` `setRestartable(boolean isRestartable)` Set if restartable.
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getStartNode, includeSelf, isDocOrdered, isReverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClonedNodeListIterator

    public ClonedNodeListIterator(CachedNodeListIterator source)

Method Detail

### setRestartable

    public void setRestartable(boolean isRestartable)

  Description copied from interface: `DTMAxisIterator`
  Set if restartable.

  Specified by:
    `setRestartable` in interface `DTMAxisIterator`
  Overrides:
    `setRestartable` in class `DTMAxisIteratorBase`

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Description copied from interface: `DTMAxisIterator`
  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Description copied from interface: `DTMAxisIterator`
  Get the next node in the iteration.

  Returns:
    The next node handle in the iteration, or END.

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `DTMAxisIterator`
  Overrides:
    `getPosition` in class `DTMAxisIteratorBase`
  Returns:
    The position of the current node within the set, as defined by XPath. Note that this is one-based, not zero-based.

### getNodeByPosition

    public int getNodeByPosition(int pos)

  Description copied from class: `DTMAxisIteratorBase`
  Return the node at the given position.

  Specified by:
    `getNodeByPosition` in interface `DTMAxisIterator`
  Overrides:
    `getNodeByPosition` in class `DTMAxisIteratorBase`
  Parameters:
    `pos` - The position
  Returns:
    The node at the given position.

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Description copied from class: `DTMAxisIteratorBase`
  Returns a deep copy of this iterator. Cloned iterators may not be restartable. The iterator being cloned may or may not become non-restartable as a side effect of this operation.

  Specified by:
    `cloneIterator` in interface `DTMAxisIterator`
  Overrides:
    `cloneIterator` in class `DTMAxisIteratorBase`
  Returns:
    a deep copy of this iterator.

### reset

    public DTMAxisIterator reset()

  Description copied from interface: `DTMAxisIterator`
  Resets the iterator to the last start node.

  Specified by:
    `reset` in interface `DTMAxisIterator`
  Overrides:
    `reset` in class `DTMAxisIteratorBase`
  Returns:
    A DTMAxisIterator which has been reset to the start node, which may or may not be the same as this iterator.

### setMark

    public void setMark()

  Description copied from interface: `DTMAxisIterator`
  Remembers the current node for the next call to gotoMark().

### gotoMark

    public void gotoMark()

  Description copied from interface: `DTMAxisIterator`
  Restores the current node remembered by setMark().

Copyright © 2005 Apache XML Project. All Rights Reserved.